javax.xml.stream.events

## Interface EntityDeclaration

All Superinterfaces:
  XMLEvent, XMLStreamConstants

    public interface EntityDeclaration
    extends XMLEvent

### Field Summary

### Fields inherited from interface javax.xml.stream.XMLStreamConstants

`ATTRIBUTE, CDATA, CHARACTERS, COMMENT, DTD, END_DOCUMENT, END_ELEMENT, ENTITY_DECLARATION, ENTITY_REFERENCE, NAMESPACE, NOTATION_DECLARATION, PROCESSING_INSTRUCTION, SPACE, START_DOCUMENT, START_ELEMENT`

### Method Summary

All Methods Instance Methods Abstract Methods
`java.lang.String` `getBaseURI()`
`java.lang.String` `getName()`
`java.lang.String` `getNotationName()`
`java.lang.String` `getPublicId()`
`java.lang.String` `getReplacementText()`
`java.lang.String` `getSystemId()`

### Methods inherited from interface javax.xml.stream.events.XMLEvent

`asCharacters, asEndElement, asStartElement, getEventType, getLocation, getSchemaType, isAttribute, isCharacters, isEndDocument, isEndElement, isEntityReference, isNamespace, isProcessingInstruction, isStartDocument, isStartElement, writeAsEncodedUnicode`

### Method Detail

#### getBaseURI

    java.lang.String getBaseURI()

#### getName

    java.lang.String getName()

#### getNotationName

    java.lang.String getNotationName()

#### getPublicId

    java.lang.String getPublicId()

#### getReplacementText

    java.lang.String getReplacementText()

#### getSystemId

    java.lang.String getSystemId()